Subject: Re: bug#15045: Point jumps inappropriately around time of Semantic lexing

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Aug 2013 21:38:04 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>         [email-masked]
> Date: Fri, 09 Aug 2013 14:08:13 -0400
> 
> >> That sounds wrong.
> > Are you saying that using the READABLE_EVENTS_FILTER_EVENTS flag above
> > is wrong?
> 
> I think so: input-pending-p is not expected to wait, so I don't see any
> reason to run timers.

I think the only reason, as with all the other places where we run
timers, is to make Emacs look appear more responsive, notwithstanding
the on-going processing.

(And I meant the READABLE_EVENTS_DO_TIMERS_NOW flag, of course.)